Qt 5.11 | Qt Sensors | C++ Classes | QTiltReading

Qt 5.11.3 Reference Documentation

# QTiltReading Class

The QTiltReading class holds readings from the tilt sensor. More...

Header: | #include <QTiltReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- xRotation : const qreal
- yRotation : const qreal

- 1 property inherited from QSensorReading

## Public Functions

| QTiltReading(QObject *parent = DECLARE_READING(QTiltReading))
virtual | ~QTiltReading()
void | setXRotation(qreal x)
void | setYRotation(qreal y)
qreal | xRotation() const
qreal | yRotation() const

## Reimplemented Public Functions

virtual void | copyValuesFrom(QSensorReading *other) override

- 4 public functions inherited from QSensorReading

## Detailed Description

The QTiltReading class holds readings from the tilt sensor.

The tilt sensor reports the angle of tilt in degrees of the device along the X and Y plane.

## Property Documentation

### xRotation : const qreal

This property holds the amount of tilt on the X axis.

Access functions:

qreal | xRotation() const

### yRotation : const qreal

This property holds the amount of tilt on the Y axis.

Access functions:

qreal | yRotation() const

## Member Function Documentation

### QTiltReading::QTiltReading(QObject *parent = DECLARE_READING(QTiltReading))

Default constructs an instance of QTiltReading.

### `[virtual]` QTiltReading::~QTiltReading()

Destroys the instance of QTiltReading. The destructor is virtual.

### `[override virtual]` void QTiltReading::copyValuesFrom(QSensorReading *other)

### void QTiltReading::setXRotation(qreal x)

Sets xRotation to x.

See also xRotation().

### void QTiltReading::setYRotation(qreal y)

Sets yRotation to y.

See also yRotation().